# Copyright 2016-2025 Paul Obermeier (obermeier@tcl3d.org)
#
# Test program for the tls package.
# Slightly modified TclTLS example keytest2.tcl.

package require tls

puts "This is tls-Keytest2.tcl"

puts [format "Using tls %s on %s with %dbit Tcl %s" \
     [package version tls] $::tcl_platform(os) \
     [expr $::tcl_platform(pointerSize) * 8]  [info patchlevel]]

set s [tls::socket -require 0 -request 0 127.0.0.1 12300]
puts $s "A line"
flush $s
# puts [join [tls::status $s] \n]

exit 0
